From 99e210866f366c407bb1c6ef2ca29a4716dc8ae1 Mon Sep 17 00:00:00 2001
From: Pan Nengyuan <pannengyuan@huawei.com>
Date: Wed, 1 Apr 2020 14:42:40 +0800
Subject: [PATCH 25/77] pcibridge: Do not convert pci_br_index to decimal

pci_br_index is aleardy a decimal character, it's not necessary to
convert it.

Signed-off-by: Pan Nengyuan <pannengyuan@huawei.com>
---
 libvirt/tests/src/controller/pcibridge.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/libvirt/tests/src/controller/pcibridge.py b/libvirt/tests/src/controller/pcibridge.py
index ff1e71a9..b19f48da 100644
--- a/libvirt/tests/src/controller/pcibridge.py
+++ b/libvirt/tests/src/controller/pcibridge.py
@@ -159,7 +159,7 @@ def run(test, params, env):
             iface_list = [
                 iface for iface in xml_after_attach.get_devices('interface')
                 if iface.mac_address == mac and
-                int(iface.address['attrs']['bus'], 16) == int(pci_br_index, 16)
+                int(iface.address['attrs']['bus'], 16) == int(pci_br_index)
             ]
 
             logging.debug('iface list after attach: %s', iface_list)
-- 
2.23.0

